class Controller {
  int start;       // first button in button[] to be called
  int end;        // last button in button[] to be called
  boolean active;
  boolean keysactive;
  String plantType;
  String plantName;
  int plantAge;
  String filename;
  boolean shifton;

  int progress = 0;

  Controller(int tstart, int tend) {
    start = tstart;
    end = tend;
  }

  void isActive(boolean isactive) {
    active = isactive;
    for (int i = start; i <= end; i++) {
      button[i].isActive(isactive);
    }
  }

  void keysActive(boolean isactive) {
    keysactive = isactive;
    for (int i = 0; i < keys.length; i++) {
      keys[i].isActive(keysactive);
    }
  }

  void run() {
    if (progress > 0 && progress < 5) {
      fill(243);
      imageMode(CORNER);
      rect(width/10.7, height/26, width/1.15, height/1.085);
    }
    if (progress == 0) {
      menu.displayPlant();
    }
    for (int i = start; i<= end; i++) {
      button[i].checkState();
    }
    for (int i = 0; i < keys.length; i++) {
      keys[i].checkState();
    }
  }

  void checkHitbox(float mx, float my) {
    if (active) {
      for (int i = start; i<= end; i++) {
        button[i].checkHitbox(mx, my);
      }
    }
    if (keysactive) {
      for (int i = 0; i < keys.length; i++) {
        keys[i].checkHitbox(mx, my);
      }
    }
  }

  void progress(int tprogress) {
    isActive(false);    // deactivates current buttons
    keysActive(false);

    progress = tprogress;    // changes to the new progress setting and loads new buttons
    if (progress == 1) {     // load file or new plant?
      start = 0;
      end = 1;
      isActive(true);
    } else if (progress == 2) {  // select plant type
      start = 2;
      end = 7;
      isActive(true);
    } else if (progress ==3) { // plant name and age
      plantname.textclear();
      start = 9;
      end = 14;
      isActive(true);
      keysActive(true);
    } else if (progress == 4) {  // enter filename
      loadfile.textclear();
      start = 8;
      end = 8;
      isActive(true);
      keysActive(true);
    } else if (progress == 5) {
      menu.newPlant(plantName, plantAge, plantType);
    }
    println("Progressed to state "+progress);
  }

  void loadfile(String tfname) {
    // load the file under filename
    filename = tfname;
  }

  void savePlant(String ptype) {
    plantType = ptype;
    println("The selected type is: "+plantType);
  }

  void changeAge(int change) {
    plantAge += change;
  }

  void saveInfo(String pName, int pAge) {
    plantName = pName;
    plantAge = pAge;
    println("Plant name: "+plantName+ "\nPlant age: "+ plantAge + " days\nPlant type: "+ plantType);
  }

  void shift() {
    if (shifton) {
      for (int i = 0; i < 26; i++) {
        keys[i].shift(false);
      }
      shifton = false;
    } else {
      for (int i = 0; i < 26; i++) {
        keys[i].shift(true);
      }
      shifton = true;
    }
  }
  void textdelete() {
    if (progress == 3) {
      plantname.textdelete();
    } else if (progress == 4) {
      loadfile.textdelete();
    }
  }

  void textinput(String tkey) {
    println(tkey);
    if (progress == 3) {
      plantname.textinput(tkey);
    } else if (progress == 4) {
      loadfile.textinput(tkey);
    }
    for (int i = 0; i < 26; i++) {
      keys[i].shift(false);
    }
    shifton = false;
  }
}
