class LoadFile extends SuperButton {
  String typed = "";

  LoadFile(float tempX, float tempY, float tempWidth, float tempHeight, int tempNr) {
    super(tempX, tempY, tempWidth, tempHeight, tempNr);
  }


  String returnFilename() {
    return typed;
  }

  void display() {
    noStroke();
    fontsize = int(unitH/4);
    fill(c);
    rect(x, y, w, h, unitH/5);
    fill(230);
    rect(x+w/6, y+unitH*1.5, w*2/3, 2*fontsize, unitW/5);



    fill(0);
    textSize(fontsize);
    textAlign(CENTER, CENTER);
    text("Load existing plant: \nInput file name below \n(i.e. plantOne.txt)\n" + typed, x+w/2, y +unitH+fontsize/2);

    // button
    fill(color(240), opacity);
    rect(x+unitW, y+2.5*unitH, 2*unitW, unitH/2, unitW/5);
    fill(0);
    textSize(fontsize);
    textAlign(CENTER, CENTER);
    text("Load file", x+w/2, y +2.5*unitH+0.9*fontsize);
  }
  
  void purpose(){
    controller.loadfile(typed);
    controller.progress(6);
  }

  void checkHitbox(float mx, float my) {
    if (mx > x+w/4 && mx < x+3*w/4 && my > y+2.5*unitH && my < y+3*unitH) {
      clicked = true;
    }
  }

  void mouseOver(float mx, float my) {
    if (mx > x+w/4 && mx < x+3*w/4 && my > y+2.5*unitH && my < y+3*unitH) {
      opacity = 190;
    } else {
      opacity = 255;
    }
  }

  void textinput(String input) {
    typed = typed + input;
    println(typed);
  }

  void textdelete() {
    if (typed.length() > 0){
    typed = typed.substring(0, typed.length()-1);
    println(typed);
    }
  }

  void textclear() {
    typed = "";
  }
}
