class PlantName extends SuperButton {
  String typed = "";

  PlantName(float tempX, float tempY, float tempWidth, float tempHeight, int tempNr) {
    super(tempX, tempY, tempWidth, tempHeight, tempNr);
  }


  String returnFilename() {
    return typed;
  }

  void checkState() {
    if (active) {      // allows button to function only when active
      display();
    }
  }

  void display() {
    noStroke();
    fontsize = int(unitH/4);
    fill(c);
    rect(x, y, w, h, unitH/5);
    fill(230);
    rect(x+w/6, y+unitH/2, w*2/3, 2*fontsize, unitW/10);

    fill(0);
    textSize(fontsize);
    textAlign(CENTER, CENTER);
    text("Plant/Pot name:\n" + typed, x+w/2, y +unitH/2);
  }

  String returnName() {
    return typed;
  }

  void textinput(String input) {
    typed = typed + input;
    println(typed);
  }

  void textdelete() {
    if (typed.length() > 0) {
      typed = typed.substring(0, typed.length()-1);
      println(typed);
    }
  }

  void textclear() {
    typed = "";
  }
}
