class PlantType extends SuperButton {
  String type1 = "Garden Cress";
  String type2 = "Lettuce";
  String type3 = "Strawberry";
  String type4 = "Basil";
  String type5 = "Thyme";
  String type6 = "Money Plant";
  String[] type = {type1, type2, type3, type4, type5, type6};
  //PImage gardencress;
  //PImage lettuce;
  //PImage strawberry;
  //PImage basil;
  //PImage thyme;
  //PImage potato;
  PImage[] image = new PImage[6];

  String thisType;
  PImage thisImage;

  PlantType(float tempX, float tempY, float tempWidth, float tempHeight, int tempNr) {
    super(tempX, tempY, tempWidth, tempHeight, tempNr);
    image[0] = loadImage("1.png");
    image[1] = loadImage("2.png");
    image[2] = loadImage("3.png");
    image[3] = loadImage("4.png");
    image[4] = loadImage("5.png");
    image[5] = loadImage("6.png");
    for (int i = 0; i < image.length; i++) {
      image[i].resize(int(2*unitH), int(2*unitH));
    }
  }

  void display() {
    noStroke();
    fill(c, opacity);
    rect(x, y, w, h, unitH/5);
    for (int i = 0; i<6; i++) {
      if (keyNr == i+1) {
        //load image nr i
        thisType = type[i];
        thisImage = image[i];
      }
    }
    // image type 1
    fill(0);
    fontsize = int(unitH/4);
    textSize(fontsize);
    textAlign(CENTER, CENTER);
    text(thisType, x+w/2, y+h-2*fontsize);
    imageMode(CENTER);
    image(thisImage, x+w/2, y+h/2);
  }

  void purpose() {
    println("Creating a new plant!");
    controller.savePlant(thisType);
    controller.progress(3);
  }
}
