KeyBoard[] keys = new KeyBoard[31];


class KeyBoard extends SuperButton {
  String[] letters = {"q", "w", "e", "r", "t", "y", "u", "i", "o", "p", "a", "s", "d", "f", "g", "h", "j", "k", "l", "z", "x", "c", "v", "b", "n", "m", ",", ".", "BACKSPACE", "SHIFT", " "};

  String thisKey;

  KeyBoard(float tempX, float tempY, float tempWidth, float tempHeight, int tempNr) {
    super(tempX, tempY, tempWidth, tempHeight, tempNr);
    //if (keyNr < 10) {
    //  y = 6.6*unitH;
    //  x = keyNr*1.2*unitW + 2.5*unitW;
    //} else if (keyNr < 19) {
    //  y = 7.8*unitH;
    //  x = (keyNr-10)*1.2*unitW + 2.8*unitW;
    //} else if (keyNr < 28) {
    //  y = 9*unitH; 
    //  x = (keyNr-19)*1.2*unitW + 3.1*unitW;
    //} 
    thisKey = letters[keyNr];
  }

  void display() {
    noStroke();
    fill(c, opacity);
    rect(x, y, w, h, unitH/5);

    fontsize = int(unitH/4);
    fill(0);
    textSize(fontsize);
    textAlign(CENTER, CENTER);
    text(thisKey, x+w/2, y + h/2);
  }

  void purpose() {
    if (thisKey == "BACKSPACE") {
      controller.textdelete();
    } else if (thisKey == "SHIFT") {
      controller.shift();
    } else {
      controller.textinput(thisKey);
    }
  }

  void shift(boolean isUppercase) {
    if (isUppercase) {
      thisKey = thisKey.toUpperCase();
    } else {
      thisKey = thisKey.toLowerCase();
    }
  }
}
