class SuperButton {
  float x;  // left bound
  float y;  // right bound
  float w;  // width
  float h;  // height
  float x2; // right bound
  float y2; // bottom bound

  int keyNr;  // nr of button in (sub)array to be returned in some methods

  boolean active;
  boolean clicked;
  color c = color(255, 255, 255);

  int opacity;
  int fontsize;

  SuperButton(float tempX, float tempY, float tempWidth, float tempHeight, int tempNr) {
    x = tempX;                // left bound
    y = tempY;                // top bound
    w = tempWidth;        // width
    h = tempHeight;       // height
    x2 = x+w;
    y2 = y+h;
    keyNr = tempNr;          // button type
    fontsize = int(unitH/4);
  }

  void checkState() {
    if (active) {      // allows button to function only when active
      mouseOver(mouseX, mouseY);
      display();
      
      if (clicked) {    // exectutes button's primary function
        purpose();
        clicked = false; // resets clicked state
      }
    }
  }

  void display() {
    noStroke();
    fill(c, opacity);
    rect(x, y, w, h, unitH/5);
  }

  void purpose() {
  }

  void mouseOver(float mx, float my) {
    if (mx > x && mx < x2 && my > y && my <y2) {
      opacity = 190;
    } else {
      opacity = 255;
    }
  }

  void checkHitbox(float mx, float my) {
    if (mx > x && mx < x2 && my > y && my <y2) {
      clicked = true;
    }
  }

  void isActive(boolean isactive) {
    active = isactive;
  }
}
